Bug 149139 - evince cannot deal with changing files
evince cannot deal with changing files
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marco Pesenti Gritti
Depends On:
  Show dependency treegraph
Reported: 2005-02-18 23:19 EST by Ulrich Drepper
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-28 09:25:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 165119 None None None Never
GNOME Desktop 171582 None None None Never

  None (edit)
Description Ulrich Drepper 2005-02-18 23:19:54 EST
Description of problem:
Nobody who is authoring PDF files can currently use evince.  The problem is that
evince cannot deal with changing files.  Create a PDF file (e.g., with pdftex),
start envince, change the file and recreate.  The result is lots of garbage on
the console and no more out.

xpdf at least has the possibility to to reload the file with a single key press.
 This is needed in evince, too.  It is not acceptable to have evince reload the
file automatically.  Often enough I want to look into the old file which has
been overwritten.

I suggest to extend evince to
a) add a single key press reload function (please no Ctrl-<something>)
b) recognize the file data has changed and in this case only use the data which
is available in memory and not reading anything new.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.echo 'foo\eject{}bar\bye' > a.tex
2.pdftex a.tex
3.evince a.pdf&
4.echo 'foo\bye' > a.tex
5.pdftex a.tex
6.press "page down" in evince

Actual results:
no output anymore

Expected results:
old document displayed, or warning message printed, no console output

Additional info:
This is a critical feature for anybody authoring PDFs.  acroread is not usable
for the same reason.
Comment 1 Marco Pesenti Gritti 2005-02-26 14:22:15 EST
We added View->Reload (ctrl+r) in 0.1.5
Probably not yet a full solution to this issue.
Comment 2 Bryan W Clark 2005-02-26 20:58:38 EST
I can't speak to the viewing errors.  However, Ctrl-R is the standard HIG
accelerator key for reloading a document, I don't see adding another one.

We should probably file this upstream as it's not Red Hat specific.
Comment 3 Bryan W Clark 2005-03-12 11:04:51 EST
The reload should be in the latest release of Evince.  Are the viewing errors
still present?  probably are...
Comment 4 Bryan W Clark 2005-03-28 09:25:12 EST
Tracking this bug (b) upstream now

Note You need to log in before you can comment on or make changes to this bug.